Holger's Java API

## com.antelmann.calendar
Class Alert

    java.lang.Object
      com.antelmann.calendar.Alert

All Implemented Interfaces:
  Enabled, Serializable

    public class Alert

extends Object
implements Serializable, Enabled

Author:
  Holger Antelmann
See Also:
  `AlertTimer`, Serialized Form

Field Summary

Fields inherited from interface com.antelmann.util.Enabled
`FILTER`

Constructor Summary
`Alert(CalendarEntry ce, String alertMessage, Date executionTime)`

Method Summary
`void` `acknowledge()` if this is the first acknowledgement, the AlertHandler of the AlertTimer is notified.
`boolean` `equals(Object obj)`
`String` `getAlertMessage()`
`CalendarEntry` `getCalendarEntry()`
`Date` `getExecutionTime()`
`int` `hashCode()` hashes based on execution time
`boolean` `isAcknowledged()`
`boolean` `isEnabled()` determines whether this object is currently enabled
`void` `setEnabled(boolean flag)` allows to enable/disable this instance

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Alert

    public Alert(CalendarEntry ce,
                 String alertMessage,
                 Date executionTime)

Method Detail

### isEnabled

    public boolean isEnabled()

  Description copied from interface: `Enabled`
  determines whether this object is currently enabled

  Specified by:
    `isEnabled` in interface `Enabled`

### setEnabled

    public void setEnabled(boolean flag)

  Description copied from interface: `Enabled`
  allows to enable/disable this instance

  Specified by:
    `setEnabled` in interface `Enabled`

### getCalendarEntry

    public CalendarEntry getCalendarEntry()

### getAlertMessage

    public String getAlertMessage()

### getExecutionTime

    public Date getExecutionTime()

### isAcknowledged

    public boolean isAcknowledged()

### acknowledge

    public void acknowledge()

  if this is the first acknowledgement, the AlertHandler of the AlertTimer is notified. If the alert has already been acknowledged, nothing happens.

  See Also:
    `AlertHandler`, `AlertTimer`

### hashCode

    public int hashCode()

  hashes based on execution time

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads